<?php

defined('JPATH_BASE') or die;
use Joomla\CMS\Factory;
use Joomla\CMS\Form\FormField;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Uri\Uri;

if(!defined('DS')){ define('DS',DIRECTORY_SEPARATOR); }
jimport('joomla.form.formfield');

if(!function_exists('isJoomla4')){
  function isJoomla4() {
    return version_compare(JVERSION, '4.0', 'ge');
  }
}

class JFormFieldAsset extends FormField {
  protected $type = 'Asset';

  protected function getInput() {
    HTMLHelper::_('jquery.framework');
    $doc = Factory::getDocument();
    $refresher = rand(1000000, 9999999);
     
    if($this->element['extension'] == 'js') {
      if (isJoomla4()) {
        $doc->addScript(Uri::root().str_replace('.js','4.js',$this->element['path'] . '?r=' . $refresher));
      } else {
        $doc->addScript(Uri::root().$this->element['path'] . '?r=' . $refresher);     
      }
     
    } else {
      if (isJoomla4()) {
        $doc->addStyleSheet(Uri::root().str_replace('.css','4.css',$this->element['path'] . '?r=' . $refresher));
      } else {
        $doc->addStyleSheet(Uri::root().$this->element['path'] . '?r=' . $refresher);       
      }
    }
    return;
  }
}

/* EOF */
