<?php
/**
 * @package     Joomla.Site
 * @subpackage  com_users
 *
 * @copyright   Copyright (C) 2005 - 2015 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Layout\FileLayout;
use Joomla\CMS\Router\Route;

defined('_JEXEC') or die;

HTMLHelper::_('behavior.keepalive');
HTMLHelper::_('behavior.formvalidator');

// Header layout
$headerData = array(
	'show' => $this->params->get('show_page_heading'),
	'text' => $this->params->get('page_heading')
);
$headerLayout = new FileLayout('gk.content.header');

?>
<div class="remind<?php echo $this->pageclass_sfx?>">
	<?php echo $headerLayout->render($headerData); ?>

	<form id="user-registration" action="<?php echo Route::_('index.php?option=com_users&task=remind.remind'); ?>" method="post" class="form-validate">
		<?php foreach ($this->form->getFieldsets() as $fieldset) : ?>
			<p><?php echo Text::_($fieldset->label); ?></p>
			<?php foreach ($this->form->getFieldset($fieldset->name) as $name => $field) : ?>
				<?php if($field->label !== '') : ?>
				<div class="control-group">
					<?php if ($field->plugin == 'recaptcha_invisible'): ?>
					<div class="control-label">
						<?php echo $field->label; ?>
					</div>
					<div class="controls">
						<?php echo $field->input; ?>
						<button type="submit" class="validate"><?php echo Text::_('JSUBMIT'); ?></button>
					</div>

					<?php else: ?>
					<div class="controls">
						<?php echo $field->input; ?>
					</div>
					<?php endif; ?>
				</div>
				<?php endif; ?>
			<?php endforeach; ?>
		<?php endforeach; ?>
		
		<div class="control-group">
			<div class="controls">
				<button type="submit" class="btn btn-default validate">
					<?php echo Text::_('JSUBMIT'); ?>
				</button>
			</div>
		</div>

		<?php echo HTMLHelper::_('form.token'); ?>
	</form>
</div>
