<?php
/**
 * @package     Joomla.Site
 * @subpackage  Templates.gk_portfolio
 *
 * @copyright   Copyright (C) 2015 GavickPro. All rights reserved.
 * @license     GNU General Public License version 3 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;
$jinput = JFactory::getApplication()->input;
$print = $jinput->get('print');
$option = $jinput->get('option');
$view = $jinput->get('view');

$app             = JFactory::getApplication();
$doc             = JFactory::getDocument();
$this->language  = $doc->language;
$this->direction = $doc->direction;
$tplUrl = JUri::base() . 'templates/' . $this->template;

if(version_compare(JVERSION, '4.0', 'ge')) {
	$doc->addStyleSheet($tplUrl . '/css/fontawesome5.css');
	$doc->addStyleSheet($tplUrl . '/css/legacy.css');
}

if($option == 'com_mailto') {
	$doc->addStyleSheet($tplUrl . '/css/mailto.css');
}

if($print == 1 || $option == 'com_content') {
	$doc->addStyleSheet($tplUrl . '/css/print.css');
}

if($option == 'com_media' || $view == 'history') {
	$doc->addStyleSheet($tplUrl . '/css/image-popup.css');
}

?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" dir="<?php echo $this->direction; ?>">
<head>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<jdoc:include type="head" />
<!--[if lt IE 9]>
	<script src="<?php echo JUri::root(true); ?>/media/jui/js/html5.js"></script>
<![endif]-->
</head>

<body class="contentpane<?php echo ($this->params->get('print_behaviour') == 'button') ? ' print-btn' : '';?>">
	<?php if($print != 1) : ?>

		<jdoc:include type="message" />
		<jdoc:include type="component" />

	<?php else : ?>
		<div id="gkPrintTop">
			<?php if($this->params->get('print_logo') != '') : ?>
			<img src="<?php echo $this->params->get('print_logo'); ?>" alt="Logo" />
			<?php else : ?>
				<?php
					$logo_text = $this->params->get('logo_text', '');
					$logo_slogan = $this->params->get('logo_slogan', '');
				?>
			    <span class="text gkLogo">
					<span><?php echo $this->params->get('logo_text', ''); ?></span>

			        <?php if($this->params->get('logo_slogan', '') != '') : ?>
			        <small class="gkLogoSlogan"><?php echo $this->params->get('logo_slogan', ''); ?></small>
			        <?php endif; ?>
			    </span>
			<?php endif; ?>
		</div>

		<jdoc:include type="component" />

		<div id="gkPrintBottom">
			<?php if($this->params->get('copyrights', '') != '') : ?>
				<?php echo $this->params->get('copyrights', ''); ?>
			<?php else : ?>
				Template Design &copy; <a href="http://www.gavick.com" title="Joomla Templates">Joomla Templates</a> | GavickPro. All rights reserved.
			<?php endif; ?>
		</div>
	<?php endif; ?>
</body>
</html>
